package com.zd.laboratory.mapper;

import com.zd.laboratory.onemachine.domain.ApkLog;
import com.zd.laboratory.onemachine.domain.ApkLogVo;

import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/7
 */
public interface ApkLogMapper {

    /**
     * 新增apk日志
     *
     * @param apkLog
     * @return 结果
     */
    public int insertApkLog(ApkLog apkLog);


    public List<ApkLogVo> selectApkLogList(ApkLogVo apkLogVo);


    public ApkLogVo selectApkLogDetail(ApkLogVo apkLogVo);


    /**
     * 修改apk日志
     *
     * @param apkLog
     * @return 结果
     */
    public int updateApkLog(ApkLog apkLog);


    /**
     * 修改apk日志
     *
     * @param apkLog
     * @return 结果
     */
    public int updateApkLogByStatus(ApkLog apkLog);

}
